Description

The indexing code fails when the xml document has empty tags. Example of this is knb-lter-sbc.13 There is an empty
protocol>creator>inidvidualName>surName element and because of that

http://sbcdata.lternet.edu/external/Reef/Protocols/Bottom_Temperature/Continuous_Temperature_Protocol.pdf shows up as contact
last name in the end results.

Related issues:
Blocks Metacat - Bug #2469: Documentlmpl.buildindex() does not index XPaths w... Resolved 06/22/2006

History

#1 - 01/18/2007 03:34 PM - Chris Jones

This bug should be fixed with the recent changes to bug #2469, but | haven't verified that it is completely fixed. The indexing mechanism in
Documentimpl.buildindex() has been modified to correct offset indexing, and should cover this issue as well. Testing needs to be done.

#2 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2496

#3 - 04/09/2013 06:17 PM - ben leinfelder

- Status changed from New to Closed

probably resolved by the related bug (6 years ago)
